Subject: cannot start the postmaster

From: [email-masked]
Date: Fri, 23 Jul 93 18:52:08 +0800

I am upgrading the postgres from 4.01 to 4.1. on my sunsparc 10
workstation. I have compiled and installed the postgres according to
the installation instructions. I can create the initial database by
executing the "initdb". However when I tried to start up the
postmaster, I got the following message:

> postmaster &

IpcMemoryCreate: memKey=123585129 , size=834280 ,
permission=384IpcMemoryCreate: shmget(..., create, ...) failed: Invalid argument

Does anyone know what is the problem? I will very appreciate it if you
can show me the solution. Thanks.

Alan S. H. Lam
Department of Information Engineering, CUHK, Hong Kong
E-mail: [email-masked] 
Tel: (852) 609 7975 Fax: (852) 603 5032